create_clock -period 8 -name clk_50 [get_ports clk_50]

set_clock_groups -asynchronous \
  -group [get_clocks -include_generated_clocks clk_fpga_0] \
  -group [get_clocks -include_generated_clocks clk_fpga_1] \
  -group [get_clocks -include_generated_clocks clk_50] \

set_property -dict {PACKAGE_PIN H16 IOSTANDARD LVCMOS33} [get_ports clk_50]

set_property -dict {PACKAGE_PIN R14 IOSTANDARD LVCMOS33} [get_ports LED1]
set_property -dict {PACKAGE_PIN P14 IOSTANDARD LVCMOS33} [get_ports LED2]

set_property -dict {PACKAGE_PIN D19 IOSTANDARD LVCMOS33} [get_ports KEY1]
set_property -dict {PACKAGE_PIN D20 IOSTANDARD LVCMOS33} [get_ports KEY2]

# HDMI (DVI) outputs
set_property PACKAGE_PIN J18 [get_ports {hdmi_d_p[2]}]
set_property PACKAGE_PIN K19 [get_ports {hdmi_d_p[1]}]
set_property PACKAGE_PIN K17 [get_ports {hdmi_d_p[0]}]
set_property PACKAGE_PIN L16 [get_ports  hdmi_clk_p]

# Set voltage level for banks 13 and 35 (match with jumper setting on board)
set_property IOSTANDARD LVCMOS33 [get_ports {J5[*]}]
# Set voltage level for banks 34 (match with jumper setting on board)
set_property IOSTANDARD LVCMOS33 [get_ports {J6[*]}]

## J5 on board (BANK13 and BANK35 V3V3)
set_property PACKAGE_PIN C20 [get_ports {J5[0]}];    #J5/7  = IO_B35_LP1
set_property PACKAGE_PIN B20 [get_ports {J5[1]}];    #J5/8  = IO_B35_LN1
set_property PACKAGE_PIN B19 [get_ports {J5[2]}];    #J5/9  = IO_B35_LP2
set_property PACKAGE_PIN A20 [get_ports {J5[3]}];    #J5/10 = IO_B35_LN2
set_property PACKAGE_PIN F19 [get_ports {J5[4]}];    #J5/11 = IO_B35_LP15
set_property PACKAGE_PIN F20 [get_ports {J5[5]}];    #J5/12 = IO_B35_LN15
set_property PACKAGE_PIN H15 [get_ports {J5[6]}];    #J5/13 = IO_B35
set_property PACKAGE_PIN F16 [get_ports {J5[7]}];    #J5/14 = IO_B35
set_property PACKAGE_PIN V5  [get_ports {J5[8]}];    #J5/15 = IO_B13
set_property PACKAGE_PIN J15 [get_ports {J5[9]}];    #J5/16 = IO_B35
set_property PACKAGE_PIN W11 [get_ports {J5[10]}];   #J5/17 = IO_B13_LP18
set_property PACKAGE_PIN Y11 [get_ports {J5[11]}];   #J5/18 = IO_B13_LN18
set_property PACKAGE_PIN Y12 [get_ports {J5[12]}];   #J5/19 = IO_B13_LP20
set_property PACKAGE_PIN Y13 [get_ports {J5[13]}];   #J5/20 = IO_B13_LN20
set_property PACKAGE_PIN V11 [get_ports {J5[14]}];   #J5/21 = IO_B13_LP21
set_property PACKAGE_PIN V10 [get_ports {J5[15]}];   #J5/22 = IO_B13_LN21
set_property PACKAGE_PIN V8  [get_ports {J5[16]}];   #J5/23 = IO_B13_LP15
set_property PACKAGE_PIN W8  [get_ports {J5[17]}];   #J5/24 = IO_B13_LN15
set_property PACKAGE_PIN U7  [get_ports {J5[18]}];   #J5/25 = IO_B13_LP11
set_property PACKAGE_PIN V7  [get_ports {J5[19]}];   #J5/26 = IO_B13_LN11
set_property PACKAGE_PIN T5  [get_ports {J5[20]}];   #J5/27 = IO_B13_LP19
set_property PACKAGE_PIN U5  [get_ports {J5[21]}];   #J5/28 = IO_B13_LN19
set_property PACKAGE_PIN Y7  [get_ports {J5[22]}];   #J5/29 = IO_B13_LP13
set_property PACKAGE_PIN Y6  [get_ports {J5[23]}];   #J5/30 = IO_B13_LN13
set_property PACKAGE_PIN Y9  [get_ports {J5[24]}];   #J5/31 = IO_B13_LP14
set_property PACKAGE_PIN Y8  [get_ports {J5[25]}];   #J5/32 = IO_B13_LN14
set_property PACKAGE_PIN V6  [get_ports {J5[26]}];   #J5/33 = IO_B13_LP22
set_property PACKAGE_PIN W6  [get_ports {J5[27]}];   #J5/34 = IO_B13_LN22
set_property PACKAGE_PIN T9  [get_ports {J5[28]}];   #J5/35 = IO_B13_LP12
set_property PACKAGE_PIN U10 [get_ports {J5[29]}];   #J5/36 = IO_B13_LN12
set_property PACKAGE_PIN U9  [get_ports {J5[30]}];   #J5/37 = IO_B13_LP17
set_property PACKAGE_PIN U8  [get_ports {J5[31]}];   #J5/38 = IO_B13_LN17
set_property PACKAGE_PIN W10 [get_ports {J5[32]}];   #J5/39 = IO_B13_LP16
set_property PACKAGE_PIN W9  [get_ports {J5[33]}];   #J5/40 = IO_B13_LN16

## J6 on board (BANK34 VADJ)
set_property PACKAGE_PIN Y19  [get_ports {J6[0]}];   #J6/1  = IO_B34_LN17
set_property PACKAGE_PIN Y18  [get_ports {J6[1]}];   #J6/2  = IO_B34_LP17
set_property PACKAGE_PIN Y17  [get_ports {J6[2]}];   #J6/3  = IO_B34_LN7
set_property PACKAGE_PIN Y16  [get_ports {J6[3]}];   #J6/4  = IO_B34_LP7
set_property PACKAGE_PIN U19  [get_ports {J6[4]}];   #J6/5  = IO_B34_LN12
set_property PACKAGE_PIN U18  [get_ports {J6[5]}];   #J6/6  = IO_B34_LP12
set_property PACKAGE_PIN W19  [get_ports {J6[6]}];   #J6/7  = IO_B34_LN22
set_property PACKAGE_PIN W18  [get_ports {J6[7]}];   #J6/8  = IO_B34_LP22
set_property PACKAGE_PIN Y14  [get_ports {J6[8]}];   #J6/9  = IO_B34_LN8
set_property PACKAGE_PIN W14  [get_ports {J6[9]}];   #J6/10 = IO_B34_LP8
set_property PACKAGE_PIN T10  [get_ports {J6[10]}];  #J6/11 = IO_B34_LN1
set_property PACKAGE_PIN T11  [get_ports {J6[11]}];  #J6/12 = IO_B34_LP1
set_property PACKAGE_PIN W16  [get_ports {J6[12]}];  #J6/13 = IO_B34_LN18
set_property PACKAGE_PIN V16  [get_ports {J6[13]}];  #J6/14 = IO_B34_LP18
set_property PACKAGE_PIN W13  [get_ports {J6[14]}];  #J6/15 = IO_B34_LN4
set_property PACKAGE_PIN V12  [get_ports {J6[15]}];  #J6/16 = IO_B34_LP4
set_property PACKAGE_PIN P16  [get_ports {J6[16]}];  #J6/17 = IO_B34_LN24
set_property PACKAGE_PIN P15  [get_ports {J6[17]}];  #J6/18 = IO_B34_LP24
set_property PACKAGE_PIN P18  [get_ports {J6[18]}];  #J6/19 = IO_B34_LN23
set_property PACKAGE_PIN N17  [get_ports {J6[19]}];  #J6/20 = IO_B34_LP23
set_property PACKAGE_PIN R17  [get_ports {J6[20]}];  #J6/21 = IO_B34_LN19
set_property PACKAGE_PIN R16  [get_ports {J6[21]}];  #J6/22 = IO_B34_LP19
set_property PACKAGE_PIN V18  [get_ports {J6[22]}];  #J6/23 = IO_B34_LN21
set_property PACKAGE_PIN V17  [get_ports {J6[23]}];  #J6/24 = IO_B34_LP21
set_property PACKAGE_PIN W15  [get_ports {J6[24]}];  #J6/25 = IO_B34_LN10
set_property PACKAGE_PIN V15  [get_ports {J6[25]}];  #J6/26 = IO_B34_LP10
set_property PACKAGE_PIN U17  [get_ports {J6[26]}];  #J6/27 = IO_B34_LN9
set_property PACKAGE_PIN T16  [get_ports {J6[27]}];  #J6/28 = IO_B34_LP9
set_property PACKAGE_PIN T15  [get_ports {J6[28]}];  #J6/29 = IO_B34_LN5
set_property PACKAGE_PIN T14  [get_ports {J6[29]}];  #J6/30 = IO_B34_LP5
set_property PACKAGE_PIN V13  [get_ports {J6[30]}];  #J6/31 = IO_B34_LN3
set_property PACKAGE_PIN U13  [get_ports {J6[31]}];  #J6/32 = IO_B34_LP3
set_property PACKAGE_PIN U12  [get_ports {J6[32]}];  #J6/33 = IO_B34_LN2
set_property PACKAGE_PIN T12  [get_ports {J6[33]}];  #J6/34 = IO_B34_LP2
